|  | Home | Documentation | Class Members updated Mon Feb 22 2016 |

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- o
- p
- r
- s
- t
- u
- ~

Here is a list of all class members with links to the classes they belong to:

### - _ -

- _body : HttpRequest
- _buf : isapistream
- _cbRead : isapistreambuf
- _cbTotalBytes : isapistreambuf
- _contentlength : HttpRequest
- _dwReturnCode : SoapTransaction
- _header : SoapTransaction
- _headers_sent : SoapTransaction
- _headers_supplied : SoapTransaction
- _ibuf : isapistreambuf
- _ibuflen : isapistreambuf
- _interface : SoapTransaction
- _istream : SoapTransaction
- _method : HttpRequest
- _obuf : isapistreambuf
- _pECB : isapistreambuf
- _querystring : HttpRequest
- _request : SoapTransaction
- _request_header : SoapTransaction
- _response : SoapTransaction
- _soap : SoapTransaction

### - a -

- AddHeader() : ISAPI_HttpRequest

### - b -

- BuildHeaders() : SoapTransaction

### - c -

- ContentHeaders : HttpMessage
- CriticalSectionLock() : CriticalSectionLock

### - d -

- DllMap() : DllMap

### - e -

- ECB() : ISAPI_HttpRequest , isapistream , isapistreambuf

### - f -

- fmod_gsoap_init : mod_gsoap_interface
- fmod_gsoap_terminate : mod_gsoap_interface
- fsoap_delete : mod_gsoap_interface
- fsoap_done : mod_gsoap_interface
- fsoap_end : mod_gsoap_interface
- fsoap_init : mod_gsoap_interface
- fsoap_lookup_plugin : mod_gsoap_interface
- fsoap_register_plugin_arg : mod_gsoap_interface
- fsoap_serve : mod_gsoap_interface

### - g -

- GET : HttpRequest
- getBody() : HttpRequest
- getContentHeaders() : HttpMessage
- getContentLength() : HttpRequest
- getData() : HttpRequest
- GetEntryPoints() : ISAPI_SoapServerFactory , SoapDll
- GetExtensionVersion() : ISAPI_Server
- getInterface() : ISAPI_SoapServerFactory
- getLastError() : ISAPI_SoapServerFactory , SoapDll
- getMethod() : HttpRequest
- getQueryString() : HttpRequest
- gsoap_interface() : SoapDll

### - h -

- HttpExtensionProc() : ISAPI_Server
- HttpMessage() : HttpMessage
- HttpRequest() : HttpRequest
- HttpResponse() : HttpResponse

### - i -

- instance() : ISAPI_SoapServerFactory
- ISAPI_HttpRequest() : ISAPI_HttpRequest
- ISAPI_SoapServerFactory() : ISAPI_SoapServerFactory
- isapistream() : isapistream
- isapistreambuf() : isapistreambuf

### - l -

- linked() : mod_gsoap_interface
- load() : SoapDll

### - m -

- m_bHeadersParsed : ISAPI_HttpRequest
- m_ContentHeaders : HttpMessage
- m_cs : ISAPI_SoapServerFactory
- m_hDll : SoapDll
- m_interface : SoapDll
- m_pcs : CriticalSectionLock
- m_pDlls : ISAPI_SoapServerFactory
- m_pECB : ISAPI_HttpRequest
- m_pInstance : ISAPI_SoapServerFactory
- m_strError : ISAPI_SoapServerFactory
- m_strLastError : SoapDll
- Method : HttpRequest
- mod_gsoap_interface() : mod_gsoap_interface

### - o -

- operator()() : casecmpless
- operator<<() : HttpRequest
- operator=() : isapistream , mod_gsoap_interface , SoapDll
- overflow() : isapistreambuf

### - p -

- ParseHeaders() : ISAPI_HttpRequest
- POST : HttpRequest

### - r -

- ReadCustomHeaders() : ISAPI_HttpRequest
- ReadHeader() : ISAPI_HttpRequest
- reserved : mod_gsoap_interface

### - s -

- SendHeaders() : SoapTransaction
- showmanyc() : isapistreambuf
- shutdown() : ISAPI_SoapServerFactory
- SoapDll() : SoapDll
- SoapTransaction() : SoapTransaction
- super : isapistream
- SupplyRequestHeaders() : SoapTransaction
- sync() : isapistreambuf

### - t -

- TerminateExtension() : ISAPI_Server
- transaction() : SoapTransaction

### - u -

- underflow() : isapistreambuf
- unload() : SoapDll

### - ~ -

- ~CriticalSectionLock() : CriticalSectionLock
- ~DllMap() : DllMap
- ~HttpRequest() : HttpRequest
- ~HttpResponse() : HttpResponse
- ~ISAPI_HttpRequest() : ISAPI_HttpRequest
- ~ISAPI_SoapServerFactory() : ISAPI_SoapServerFactory
- ~isapistream() : isapistream
- ~isapistreambuf() : isapistreambuf
- ~SoapDll() : SoapDll
- ~SoapTransaction() : SoapTransaction